{{- if .Values.gateway.autoscaling.enabled }}
apiVersion: autoscaling/v2beta1
kind: HorizontalPodAutoscaler
metadata:
  name: {{ include "loki.writeFullname" . }}
  labels:
    {{- include "loki.writeLabels" . | nindent 4 }}
spec:
  scaleTargetRef:
    apiVersion: apps/v1
    kind: StatefulSet
    name: {{ include "loki.writeFullname" . }}
  minReplicas: {{ .Values.write.autoscaling.minReplicas }}
  maxReplicas: {{ .Values.write.autoscaling.maxReplicas }}
  metrics:
  {{- with .Values.write.autoscaling.targetMemoryUtilizationPercentage }}
    - type: Resource
      resource:
        name: memory
        targetAverageUtilization: {{ . }}
  {{- end }}
  {{- with .Values.write.autoscaling.targetCPUUtilizationPercentage }}
    - type: Resource
      resource:
        name: cpu
        targetAverageUtilization: {{ . }}
  {{- end }}
{{- end }}
